Update DiagnosticReport
Update a FHIR R4 Diagnostic Report resource by logical ID.
Endpoint
PUT /api/fhir/r4/DiagnosticReport/{rid}
Base URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4
Example request: PUT /api/fhir/r4/DiagnosticReport/00000000-0000-4000-8000-000000000003
Example URL: https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/DiagnosticReport/00000000-0000-4000-8000-000000000003
Headers
{"Accept":"application/fhir+json","Authorization":"Bearer [REDACTED]","Content-Type":"application/fhir+json"}
Parameters
| Parameter | In | Required | Type | Description |
|---|---|---|---|---|
rid |
path | true | uuid | Logical id of the DiagnosticReport resource. Use the logical id of the resource. |
Authorization
The supported authorization model uses OAuth 2.0 scopes issued by OCI Identity Domains. Send the access token as a bearer token. Resource-server definitions and issued access-token claims use canonical system/... scopes. Client grants and token requests use the corresponding ddfssystem/... form. For examples, see Reference: Authentication and Scopes.
| Context | Scope form |
|---|---|
| Resource-server definition | system/DiagnosticReport.u |
| Client grant/token request | ddfssystem/DiagnosticReport.u |
Issued token's scope claim |
system/DiagnosticReport.u |
Example Request
{"resourceType":"DiagnosticReport","identifier":[{"system":"https://example.com/fhir/identifier/diagnostic-report","value":"documentation-example"}],"status":"final","code":{"coding":[{"system":"http://loinc.org","code":"58410-2","display":"Complete blood count panel"}]},"subject":{"reference":"Patient/00000000-0000-4000-8000-000000000010"},"effectiveDateTime":"2020-01-01T00:00:00Z","meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"category":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/v2-0074","code":"LAB","display":"Laboratory"}]}],"id":"00000000-0000-4000-8000-000000000003"}
Example Response
{
"resourceType": "DiagnosticReport",
"code": {
"coding": [
{
"system": "http://loinc.org",
"code": "58410-2",
"display": "Complete blood count panel"
}
]
},
"id": "00000000-0000-4000-8000-000000000003",
"meta": {
"versionId": "2",
"lastUpdated": "2020-01-01T00:00:00Z",
"profile": [],
"security": [],
"tag": [
{
"system": "https://example.com/fhir/tag",
"code": "documentation-example",
"display": "Documentation example"
},
{
"system": "https://example.com/fhir/tag/phase",
"code": "updated",
"display": "Updated example"
}
]
},
"identifier": [
{
"system": "https://example.com/fhir/identifier/diagnostic-report",
"value": "documentation-example"
}
],
"basedOn": [],
"status": "final",
"category": [
{
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/v2-0074",
"code": "LAB",
"display": "Laboratory"
}
]
}
],
"subject": {
"reference": "Patient/00000000-0000-4000-8000-000000000010"
},
"effectiveDateTime": "2020-01-01T00:00:00Z",
"performer": [],
"resultsInterpreter": [],
"specimen": [],
"result": [],
"imagingStudy": [],
"media": [],
"conclusionCode": [],
"presentedForm": []
}
Behavior
Replaces an existing DiagnosticReport resource by logical id.
cURL Example
curl.exe `
-sS `
-X PUT `
https://<ddfs-instance-id>.ddfs.<region>.oci.oraclecloud.com/api/fhir/r4/DiagnosticReport/00000000-0000-4000-8000-000000000003 `
-H 'Accept: application/fhir+json' `
-H 'Authorization: Bearer [REDACTED]' `
-H 'Content-Type: application/fhir+json' `
--data '{"resourceType":"DiagnosticReport","identifier":[{"system":"https://example.com/fhir/identifier/diagnostic-report","value":"documentation-example"}],"status":"final","code":{"coding":[{"system":"http://loinc.org","code":"58410-2","display":"Complete blood count panel"}]},"subject":{"reference":"Patient/00000000-0000-4000-8000-000000000010"},"effectiveDateTime":"2020-01-01T00:00:00Z","meta":{"tag":[{"system":"https://example.com/fhir/tag","code":"documentation-example","display":"Documentation example"},{"system":"https://example.com/fhir/tag/phase","code":"updated","display":"Updated example"}]},"category":[{"coding":[{"system":"http://terminology.hl7.org/CodeSystem/v2-0074","code":"LAB","display":"Laboratory"}]}],"id":"00000000-0000-4000-8000-000000000003"}'
Status Codes
| Code | Status |
|---|---|
| 200 | Updated DiagnosticReport representation. |
FHIR Definition
Canonical: https://hl7.org/fhir/R4/diagnosticreport.html